org.modeshape.jdbc.metadata

## Class JDBCSQLTypeInfo.DefaultDataTypes

- java.lang.Object
- - org.modeshape.jdbc.metadata.JDBCSQLTypeInfo.DefaultDataTypes

- Enclosing class:
    JDBCSQLTypeInfo

      public static final class JDBCSQLTypeInfo.DefaultDataTypes
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BIG_DECIMAL`
    `static String` | `BIG_INTEGER`
    `static String` | `BLOB`
    `static String` | `BOOLEAN`
    `static String` | `BYTE`
    `static String` | `CHAR`
    `static String` | `CLOB`
    `static String` | `DATE`
    `static String` | `DOUBLE`
    `static String` | `FLOAT`
    `static String` | `INTEGER`
    `static String` | `LONG`
    `static String` | `NULL`
    `static String` | `OBJECT`
    `static String` | `SHORT`
    `static String` | `STRING`
    `static String` | `TIME`
    `static String` | `TIMESTAMP`
    `static String` | `XML`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBCSQLTypeInfo.DefaultDataTypes()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STRING

          public static final String STRING

      See Also:
        Constant Field Values

    - #### BOOLEAN

          public static final String BOOLEAN

      See Also:
        Constant Field Values

    - #### BYTE

          public static final String BYTE

      See Also:
        Constant Field Values

    - #### SHORT

          public static final String SHORT

      See Also:
        Constant Field Values

    - #### CHAR

          public static final String CHAR

      See Also:
        Constant Field Values

    - #### INTEGER

          public static final String INTEGER

      See Also:
        Constant Field Values

    - #### LONG

          public static final String LONG

      See Also:
        Constant Field Values

    - #### BIG_INTEGER

          public static final String BIG_INTEGER

      See Also:
        Constant Field Values

    - #### FLOAT

          public static final String FLOAT

      See Also:
        Constant Field Values

    - #### DOUBLE

          public static final String DOUBLE

      See Also:
        Constant Field Values

    - #### BIG_DECIMAL

          public static final String BIG_DECIMAL

      See Also:
        Constant Field Values

    - #### DATE

          public static final String DATE

      See Also:
        Constant Field Values

    - #### TIME

          public static final String TIME

      See Also:
        Constant Field Values

    - #### TIMESTAMP

          public static final String TIMESTAMP

      See Also:
        Constant Field Values

    - #### OBJECT

          public static final String OBJECT

      See Also:
        Constant Field Values

    - #### NULL

          public static final String NULL

      See Also:
        Constant Field Values

    - #### BLOB

          public static final String BLOB

      See Also:
        Constant Field Values

    - #### CLOB

          public static final String CLOB

      See Also:
        Constant Field Values

    - #### XML

          public static final String XML

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JDBCSQLTypeInfo.DefaultDataTypes

          public JDBCSQLTypeInfo.DefaultDataTypes()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.